/**
  *  \file u/t_arch.h
  *  \brief Test suite for architecture-specific functions (arch/).
  *  \ingroup Testsuite
  *
  *  (c) 2001-2017 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_U_T_ARCH_H
#define PCC_V2_U_T_ARCH_H

#include <cxxtest/TestSuite.h> 
#include "u/helper.h"

class ArchFileTestSuite : public CxxTest::TestSuite {
    void doCreateFile();
    void doReadFile(const char content[]);
    void doModifyFile();
 public:
    ArchFileTestSuite();
    ~ArchFileTestSuite();
    void testFileAccess();
};

class Directory;

class ArchDirectoryTestSuite : public CxxTest::TestSuite {
    void checkDirectoryForFile(Directory&, const char*, bool mustExist);
 public:
    ArchDirectoryTestSuite();
    ~ArchDirectoryTestSuite();
    void setUp();
    void testDirectoryAccess();
    void testCreationAndDeletion();
};

class ArchPlatformTestSuite : public CxxTest::TestSuite {
 public:
    void testPlatformDirs();
};

#endif
